org.apache.mina.util.byteaccess

## Interface ByteArrayFactory

- All Known Implementing Classes:
    ByteArrayPool, SimpleByteArrayFactory

      public interface ByteArrayFactory

  A factory for `ByteArray`s.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteArray` | `create(int size)` Creates an instance of `ByteArray` of size specified by the size parameter.

- - ### Method Detail

    - #### create

          ByteArray create(int size)

      Creates an instance of `ByteArray` of size specified by the size parameter.
      Parameters:
        `size` - The size of the ByteArray
      Returns:
        The ByteArray

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.